PRB: Application Using JNI Gives UnsatisfiedLinkError

SYMPTOMS

When you run a Java application that requires Java Native Interface (JNI) the following error might occur:


java.lang.UnsatisfiedLinkError:AClassWithNativeMethods.theNativeMethod Possible causes: If you are trying to use J/Direct (@dll.import), check your compiler version (for JVC, requires 4336 or greater.) If you are trying to use RNI, there are new requirements: see documentation. Probably wrong version of Java compiler.

CAUSE

When you run a JNI application using the Java Virtual Machine in the SDK for Java 2.x, you must use build 2435 or greater of the Java Virtual Machine. When you run a JNI application using the Java Virtual Machine in the SDK for Java 3.x, you must use build 3158 or greater of the Java Virtual Machine.

REFERENCES

For additional information on the current release of the Virtual Machine,
please refer to the following Knowledge Base article:

INFO: Availability of Current Build of Microsoft VM for Java

For the latest Knowledge Base articles and other support information on
Visual J++ and the SDK for Java, see the following page on the Microsoft
Technical Support site:




(c) Microsoft Corporation 1999, All Rights Reserved. Contributions by Derek Jamison, Microsoft Corporation.

Propiedades

Id. de artículo: 199950 - Última revisión: 02/14/2017 - Revisión: 1

Microsoft Virtual Machine for Java, Microsoft Software Development Kit for Java 2.02, Microsoft Software Development Kit for Java 3.1, Microsoft Software Development Kit for Java 3.2, Microsoft Visual J++ 1.1 Standard Edition, Microsoft Visual J++ 6.0 Edición estándar

Comentarios